// $Id: CFileLiteracy.h,v 1.5 2003/04/23 09:20:55 ta_muto Exp $
// The class is for XUpdate.

#ifndef __wax_CFileLiteracy_h
#define __wax_CFileLiteracy_h

#include <common.h>
#include <CFileReader.h>

namespace wax {
	class CFileLiteracy : public CFileReader {
		FILE* out;
		xmlChar* tempFile;
		xmlChar* tempDir;
	public:
		CFileLiteracy(const xmlChar* initPath):CFileReader(initPath) { out = NULL, tempFile = NULL, tempDir = NULL; }
		~CFileLiteracy();

		bool open();
		bool flush();
		void unlock();
		FILE* getFILE() { return out; }
	} ;
}

#endif
